Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.docking.state.tree
Class DockableNode

    java.lang.Object
      javax.swing.tree.DefaultMutableTreeNode
          org.flexdock.docking.state.tree.DockingNode
              org.flexdock.docking.state.tree.DockableNode

All Implemented Interfaces:
  Serializable, Cloneable, MutableTreeNode, TreeNode, DockingConstants, LayoutNode

    public class DockableNode

extends DockingNode

Author:
  Christopher Butler
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.tree.DefaultMutableTreeNode
`allowsChildren, children, EMPTY_ENUMERATION, parent, userObject`

Fields inherited from interface org.flexdock.docking.DockingConstants
`ACTIVE_WINDOW, BOTTOM, CENTER, CENTER_REGION, CLOSE_ACTION, DEFAULT_PERSISTENCE_KEY, DOCKING_ID, EAST_REGION, HEAVYWEIGHT_DOCKABLES, HORIZONTAL, LEFT, MOUSE_PRESSED, NORTH_REGION, PERMANENT_FOCUS_OWNER, PIN_ACTION, REGION, RIGHT, SOUTH_REGION, TOP, UNINITIALIZED, UNINITIALIZED_RATIO, UNKNOWN_REGION, UNSPECIFIED_SIBLING_PREF, VERTICAL, WEST_REGION`

Constructor Summary
`DockableNode()`

Method Summary
`void` | `add(MutableTreeNode newChild)`
`Dockable` | `getDockable()`
`String` | `getDockableId()`
`Object` | `getDockingObject()`
`void` | `setDockableId(String dockableId)`
`protected DockingNode` | `shallowClone()`

Methods inherited from class org.flexdock.docking.state.tree.DockingNode
`clone, deepClone, getUserObject`

Methods inherited from class javax.swing.tree.DefaultMutableTreeNode
`breadthFirstEnumeration, children, depthFirstEnumeration, getAllowsChildren, getChildAfter, getChildAt, getChildBefore, getChildCount, getDepth, getFirstChild, getFirstLeaf, getIndex, getLastChild, getLastLeaf, getLeafCount, getLevel, getNextLeaf, getNextNode, getNextSibling, getParent, getPath, getPathToRoot, getPreviousLeaf, getPreviousNode, getPreviousSibling, getRoot, getSharedAncestor, getSiblingCount, getUserObjectPath, insert, isLeaf, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, isRoot, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, remove, remove, removeAllChildren, removeFromParent, setAllowsChildren, setParent, setUserObject, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.swing.tree.MutableTreeNode
`insert, remove, remove, removeFromParent, setParent, setUserObject`

Methods inherited from interface javax.swing.tree.TreeNode
`children, getAllowsChildren, getChildAt, getChildCount, getIndex, getParent, isLeaf`

Constructor Detail

### DockableNode

    public DockableNode()

Method Detail

### getDockableId

    public String getDockableId()

### setDockableId

    public void setDockableId(String dockableId)

### getDockable

    public Dockable getDockable()

### add

    public void add(MutableTreeNode newChild)

  Specified by:
    `add` in interface `LayoutNode`
  Overrides:
    `add` in class `DefaultMutableTreeNode`

### getDockingObject

    public Object getDockingObject()

  Specified by:
    `getDockingObject` in interface `LayoutNode`
  Specified by:
    `getDockingObject` in class `DockingNode`

### shallowClone

    protected DockingNode shallowClone()

  Specified by:
    `shallowClone` in class `DockingNode`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD